Bug 159250 - e100 driver does not recognise intel 8086:1229
e100 driver does not recognise intel 8086:1229
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-31 16:58 EDT by Bill Peck
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 12:02:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2005-05-31 16:58:18 EDT
Description of problem:
Attempting a network install of either RHEL4 Gold or RHEL4 U1 will leave you at
the Select Network driver screen.  Manually selecting e100 will just drop you
right back at the same screen.

Version-Release number of selected component (if applicable):

Card is Intel 82557/8/9 [Ethernet pro 100] (rev 08)

PCI ID  8086:1229

How reproducible:
Everytime

Steps to Reproduce:
1. network install of rhel4 x86_64
  
Actual results:
nic not recognised

Expected results:
should work like it does under RHEL3.

Additional info:
I'm going to try and install RHEL4 i386 on this machine and see if its x86_64
specific.
Comment 1 Bill Peck 2005-05-31 17:03:27 EDT
sure enough, the i386 flavor sees the nic card fine.
Comment 2 John W. Linville 2005-06-01 08:04:28 EDT
Odd...the PCI ID lists are not arch specific...perhaps this is BIOS related?  
Might there be a BIOS update available for this box? 
 
This definitely strikes me as "wierdness"...is there any correlation to warm 
vs. cold boot?  Or to what was booted previously? 
 
Any chance you could install the x86_64 version some other way (i.e. CD or 
using another NIC), and then attach a sysreport to this bug?  Thanks! 
Comment 3 John W. Linville 2005-08-03 12:02:20 EDT
Closed due to inactivity.  Please reopen when requested information becomes 
available.  Thanks! 

Note You need to log in before you can comment on or make changes to this bug.